Bug 251947

Summary: Review Request: libkarma - Library to manage the Rio Karma via TCP/IP
Product: [Fedora] Fedora Reporter: Aurelien Bompard <gauret>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ebmunson, fedora-package-review, mtasaka, notting, tibbs
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-09-08 10:20:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Aurelien Bompard 2007-08-13 12:27:31 EDT
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/libkarma/libkarma.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/libkarma/libkarma-0.1.0-1.fc7.src.rpm
Description: 
Libkarma is a C library for managing the Rio Karma via TCP/IP. It supports all
basic protocol commands and some advanced functions on top of these, like
caching of the Rio database.

Warning: I don't have a Rio Karma to test this package, I packaged it as an extension Amarok can take advantage of. The reviewer (or one of the commenters) should test it on an actual Rio Karma device.
Comment 1 Eric Munson 2008-01-17 15:43:37 EST
Your spec file lists two files that your install process does not seem to
create.  RPM complains about these two:
RPM build errors:
    File not found: /var/tmp/libkarma-0.1.0-1-root-/usr/lib/karma-sharp
    File not found: /var/tmp/libkarma-0.1.0-1-root-/usr/lib/pkgconfig/karma-sharp.pc

When I run the make install by hand these files are not installed.
Comment 2 Aurelien Bompard 2008-01-19 07:31:31 EST
I'm surprised, it rebuilt fine in mock here (on an F-8 chroot). What Fedora
version did you try it on ?
Comment 3 Mamoru TASAKA 2008-01-19 08:11:07 EST
Actually this doesn't build on dist-f9, at least on x86_64 and ppc64,
but rebuilds on at least on i386.
http://koji.fedoraproject.org/koji/taskinfo?taskID=358878

From build.log perhaps this is due to incorrent %_libdir <-> /usr/lib{,64}
handling.
Comment 4 Mamoru TASAKA 2008-01-19 08:14:24 EST
Note:
You can try to rebuild your arbitrary srpm on koji by:
$ koji build --scratch <target> <your_srpm>

Currently <target> can be dist-f9-gcc43 (for gcc43 check), dist-f9,
dist-f8-updates-candidate and dist-fc7-updates-candidate.
If rebuilds is successful, 3 logs and the result rpms are put on
http://koji.fedoraproject.org/scratch/<your_FAS_name>/task_<task_id>/ .
Comment 5 Aurelien Bompard 2008-01-26 05:45:21 EST
OK, this one builds fine :
http://gauret.free.fr/fichiers/rpms/fedora/libkarma/libkarma-0.1.0-3.fc8.src.rpm
Comment 6 Mamoru TASAKA 2008-01-27 11:09:13 EST
Umm..

From build.log on
http://koji.fedoraproject.org/koji/taskinfo?taskID=374545 :
it says:
--------------------------------------------------------------------------
    68  cc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mt
une=generic -fasynchronous-unwind-tables -fPIC -D_REENTRANT -Wall -pedantic
-ggdb -W -Wchar-subscripts -Wmissing-prototypes  -Wmiss
ing-declarations -Wno-switch -Wredundant-decls -Wno-unused   -c -o mp3.o mp3.c
--------------------------------------------------------------------------
and src/mp3.c seems to be related with MP3 compression:
http://fedoraproject.org/wiki/Multimedia/MP3

Once setting FE-Legal.
Comment 7 Jason Tibbitts 2008-01-27 16:05:21 EST
It seems to me that mp3.c contains code to parse information out of an mp3 file
like the tags, bitrate, etc. but does not include any patented algorithms.  I
don't see anything related to audio compression, although perhaps I'm missing
something.  This package would have no reason to decode the audio from an mp3
file anyway as it's the Karma which does the playback.

These are all of the function signatures from mp3.h:
  int get_mp3_info(mp3info *mp3);
  int header_layer(mp3header *h);
  int header_bitrate(mp3header *h);
  int header_frequency(mp3header *h);
  int write_tag(mp3info *mp3);
Comment 8 Tom "spot" Callaway 2008-04-01 11:20:13 EDT
This is not mp3 playback, encode or decode. It's just scraping the ID3 tag and
mp3 metadata, presumably to make it available in some sort of client.

Lifting FE-Legal.
Comment 9 Jason Tibbitts 2008-07-02 17:04:58 EDT
This seems to have completely dropped through the cracks; is there still
interest in getting this into the distro?

rpmlint says:
  karma-sharp.x86_64: W: devel-file-in-non-devel-package 
   /usr/lib64/pkgconfig/karma-sharp.pc
This must be in a -devel package according to
http://fedoraproject.org/wiki/Packaging/Mono, although I don't really see what
would be hurt by just putting it in the main -devel package.

  karma-sharp.x86_64: E: only-non-binary-in-usr-lib
This is bogus.  It doesn't like just seeing a directory there.

  libkarma-devel.x86_64: W: no-documentation
Not a problem.

It looks to me like the license is GPLv2+; all of the source files seem to say
"or later".

Otherwise I think this package looks OK, although I haven't done a full review.
Comment 10 Jason Tibbitts 2008-08-21 08:18:55 EDT
Ping?

I'll close this soon if there's no further response.